%global inkscape_extensions_dir %{_datadir}/inkscape/extensions

Name:           inkscape-table
Version:        1.0
Release:        7%{?dist}
Summary:        Table support for inkscape
Group:          Applications/Productivity
License:        GPLv2+
URL:            http://sourceforge.net/projects/inkscape-tables/

Source0:        http://downloads.sourceforge.net/project/inkscape-tables/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildArch:      noarch
Buildrequires:  libappstream-glib
Buildrequires:  python2-devel
Requires:       inkscape
Requires:       python2
Requires:       pygtk2
Requires:       python-lxml


%description
This Inkscape extension provides support for drawing tables.


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{inkscape_extensions_dir}
cp -a modules/* %{buildroot}%{inkscape_extensions_dir}
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_merge_merge.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_guides.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/base_transform.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_width.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_height.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_page.py

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/*.metainfo.xml


%files
%{_datadir}/appdata/*.metainfo.xml
%{inkscape_extensions_dir}/*
%doc README CHANGELOG


%changelog
* Fri May 04 2018 Debarshi Ray <rishi@fedoraproject.org> - 1.0-7
- Add inkscape-table.metainfo.xml for AppData

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 17 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
